# Docs For Class FileMaker_Result

## Class FileMaker_Result

Description

Result set description class. Contains all the information about a set of records returned by a command.

Located in /FileMaker/Result.php (line 28)

Method Summary
FileMaker_Result FileMaker_Result (FileMaker_Implementation &$fm)
integer getFetchCount ()
array getFields ()
FileMaker_Record getFirstRecord ()
integer getFoundSetCount ()
FileMaker_Record getLastRecord ()
FileMaker_Layout &getLayout ()
array &getRecords ()
array getRelatedSets ()
integer getTableRecordCount ()
Methods
Constructor FileMaker_Result (line 44)

Result object constructor.

FileMaker_Result FileMaker_Result (FileMaker_Implementation &$fm)

- FileMaker_Implementation &$fm: FileMaker_Implementation object that this result came from.

getFetchCount (line 131)

Returns the number of records in the filtered result set.

If no range parameters were specified on the Find command, then this value is equal to the result of the getFoundSetCount() method. It is always equal to the value of count($response->getRecords()).

- return: Filtered record count.

integer getFetchCount ()
getFields (line 85)

Returns a list of the names of all fields in the records in this result set.

Only the field names are returned. If you need additional information, examine the Layout object provided by the getLayout() method.

- return: List of field names as strings.

array getFields ()
getFirstRecord (line 141)

Returns the first record in this result set.

- return: First record.

FileMaker_Record getFirstRecord ()
getFoundSetCount (line 116)

Returns the number of records in the entire found set.

- return: Found record count.

integer getFoundSetCount ()
getLastRecord (line 151)

Returns the last record in this result set.

- return: Last record.

FileMaker_Record getLastRecord ()
getLayout (line 55)

Returns a FileMaker_Layout object that describes the layout of this result set.

- return: Layout object.

FileMaker_Layout &getLayout ()
getRecords (line 70)

Returns an array containing each record in the result set.

Each member of the array is a FileMaker_Record object, or an instance of the alternate class you specified to use for records (see FileMaker_Record. The array may be empty if the result set contains no records.

- return: Record objects.

array &getRecords ()
getRelatedSets (line 96)

Returns the names of related tables for all portals present in records in this result set.

- return: List of related table names as strings.

array getRelatedSets ()
getTableRecordCount (line 106)

Returns the number of records in the table that was accessed.

- return: Total record count in table.

integer getTableRecordCount ()

Documentation generated on Wed, 29 Jun 2011 12:31:23 -0700 by phpDocumentor 1.4.0